Bug 1846964 (CVE-2020-10774) - CVE-2020-10774 kernel: possibility of memory disclosure when reading the file /proc/sys/kernel/rh_features
Summary: CVE-2020-10774 kernel: possibility of memory disclosure when reading the file...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-10774
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1843064 1846968 1847952
Blocks: 1843480
TreeView+ depends on / blocked
 
Reported: 2020-06-15 09:36 UTC by Alex
Modified: 2020-11-04 02:25 UTC (History)
28 users (show)

Fixed In Version: kernel-4.18.0-193.el8
Doc Type: If docs needed, set a value
Doc Text:
A flaw memory disclosure flaw was found in the Linux kernel’s sysctl subsystem in reading the /proc/sys/kernel/rh_features file. This flaw allows a local user to read uninitialized values from the kernel memory. The highest threat from this vulnerability is to confidentiality.
Clone Of:
Environment:
Last Closed: 2020-11-04 02:25:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4431 None None None 2020-11-04 00:51:21 UTC
Red Hat Product Errata RHSA-2020:4609 None None None 2020-11-04 02:23:48 UTC

Description Alex 2020-06-15 09:36:03 UTC
The /proc/sys/kernel/rh_features file is readable by unprivileged users and if no tracked feature is used on the system (that is by default), it copies a chunk of uninitialized memory to the user space. Means that reading of the file /proc/sys/kernel/rh_features by unprivileged user can lead to kernel memory disclosure, but user cannot control the size and location of the memory being read (usually empty or nothing, so in most cases no memory disclosure). There's no buffer overflow or availability impact, so only possibility of confidentiality impact.

It's in RHEL 8 only code (not upstream) and was introduced in RHEL 8.2 by kernel commit b42078ac845a ("[kernel] rh_features: move rh_features
entry to sys/kernel").

Comment 5 Petr Matousek 2020-06-17 12:22:01 UTC
Statement:

This issue is rated as having Low impact because of the limited and random (non-controllable by attacker) memory disclosure.

Comment 6 Petr Matousek 2020-06-17 12:22:07 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options don't meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 8 errata-xmlrpc 2020-11-04 00:51:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4431 https://access.redhat.com/errata/RHSA-2020:4431

Comment 9 errata-xmlrpc 2020-11-04 02:24:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4609 https://access.redhat.com/errata/RHSA-2020:4609

Comment 10 Product Security DevOps Team 2020-11-04 02:25:49 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-10774


Note You need to log in before you can comment on or make changes to this bug.